﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace UltraTreeWithCheckBoxColumns
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            SetupTree();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void SetupTree()
        {
            UltraTreeNode nodeA = ultraTree.Nodes.Add("A");
            UltraTreeNode nodeB = ultraTree.Nodes.Add("B");
            UltraTreeNode nodeC = ultraTree.Nodes.Add("C");

            foreach (var n in ultraTree.Nodes)
            {
                UltraTreeNode node1 = n.Nodes.Add(n.Text + " 1");
                UltraTreeNode node2 = n.Nodes.Add(n.Text + " 2");

                foreach (var m in n.Nodes)
                {
                    for (int i = 1; i < 5; i++)
                    {
                        UltraTreeNode leaf = m.Nodes.Add(m.Text + ": " + i + " leaf");
                        leaf.Cells["Col1"].Value = i % 2 == 0;
                        leaf.Cells["Col2"].Value = i % 3 == 0;
                    }
                }
            }
        }
    }
}
